<%
/********************************************************************************/
/* Name			:	customview.jsp												*/
/* Copyright	:	2003 SATCOMLABS LTD.										*/
/* Team			:	Spam Control Team											*/
/* Developer	:	Pavan Gupta													*/
/* Last Updated	:	10.54 AM 09/01/2004											*/
/* Abstract		:	Search Whitelist (ASL Table) by keyword or date				*/
/* Called from	: 	dashboard													*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ page language="java" import ="java.util.Date,java.text.SimpleDateFormat,com.DBConnection,java.sql.*" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int loginuserid = validate.getUserid();
if(loginuserid==0)
{
	response.sendRedirect("dashboardlogin.jsp");
}
int preallrecords = 0;
int unvalidallrecords = 0;
int validallrecords = 0;
int spamallrecords = 0;
int userid = 0;
int tempuserid = validate.getTempuserid();
int adminid = validate.getAdminid();
int condition = 0;
int validated = 0;
int incr = 0;
int i = 0;
int NumRec = 10;

String gridclass = "";
String message = "";
String message1 = "";
String message2 = "";
String message3 = "";
String message4 = "";


if(tempuserid == 0)
	userid = loginuserid;
else 
	userid = tempuserid;

String updatetype = "";
if(request.getParameter("update_type") != null)
	updatetype = request.getParameter("update_type");

if(request.getParameter("returnval") != null)
{
	if(updatetype.equals("updateany"))
		message = request.getParameter("returnval");
	else if(updatetype.equals("updatepre"))
		message1 = request.getParameter("returnval");
	else if(updatetype.equals("updateunvalid"))
		message2 = request.getParameter("returnval");
	else if(updatetype.equals("updatevalid"))
		message3 = request.getParameter("returnval");
	else if(updatetype.equals("updatespam"))
		message4 = request.getParameter("returnval");
}

/******************************** Using DataBase connection for getting Date Setting ********/
	String dateFormat = "103";
	String datePtt = "[DD/MM/YYYY]";
	String dateForm = "dd/MM/yyyy";
	DBConnection dbconn = new DBConnection ();
	Connection conn = dbconn.getConnection();
	Statement stmt = conn.createStatement();
	ResultSet rs = stmt.executeQuery("Select date_format from admindefaults");
	rs.next();
	if(rs.getString("date_format").equalsIgnoreCase("MM/DD/YYYY"))
	{
		dateFormat = "101";
		datePtt = "[MM/DD/YYYY]";
		dateForm = "MM/dd/yyyy";
	}
	stmt.close();
	conn.close();
	
/******************************** End of new DataBase code **********************************/

SimpleDateFormat dateformat = new SimpleDateFormat(dateForm);
String afterdate = dateformat.format(new Date());
String beforedate = dateformat.format(new Date());
String searchtext = "*";
int policy = 0;
int scope = 0;
String flag1 = "false";

if(request.getParameter("flag1") != null)
	flag1 = request.getParameter("flag1");
if (request.getParameter("txtsearch") != null)
	searchtext = request.getParameter("txtsearch");
if(request.getParameter("rdoPolicy") != null)
	policy = Integer.parseInt(request.getParameter("rdoPolicy"));
if(request.getParameter("rdoScope") != null)
	scope = Integer.parseInt(request.getParameter("rdoScope"));
if(request.getParameter("txtAfter") != null)
	afterdate = request.getParameter("txtAfter");
if(request.getParameter("txtBefore") != null)
	beforedate = request.getParameter("txtBefore");
if(request.getParameter("txtNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("txtNumRec"));

if(policy == 0)
	condition = 0;
else if(policy == 1)
	condition = 1;
else if(policy == 2)
{
	condition = 1;
	validated = 1;
}
else if(policy == 3)
	condition = 3;
else if(policy == 4)
	condition = 2;

String orderpre = "desc";
String columnnamepre = "date_of_entry";
String orderunvalid = "desc";
String columnnameunvalid = "date_of_entry";
String ordervalid = "desc";
String columnnamevalid = "cr_date";
String orderspam = "desc";
String columnnamespam = "date_of_entry";

if(request.getParameter("hidorderpre") != null)
	orderpre = request.getParameter("hidorderpre");
if(request.getParameter("hidcolumnpre") != null)
	columnnamepre = request.getParameter("hidcolumnpre");

if(request.getParameter("hidorderunvalid") != null)
	orderunvalid = request.getParameter("hidorderunvalid");
if(request.getParameter("hidcolumnunvalid") != null)
	columnnameunvalid = request.getParameter("hidcolumnunvalid");

if(request.getParameter("hidordervalid") != null)
	ordervalid = request.getParameter("hidordervalid");
if(request.getParameter("hidcolumnvalid") != null)
	columnnamevalid = request.getParameter("hidcolumnvalid");

if(request.getParameter("hidorderspam") != null)
	orderspam = request.getParameter("hidorderspam");
if(request.getParameter("hidcolumnspam") != null)
	columnnamespam = request.getParameter("hidcolumnspam");

int preminpage = 0;
int premin = 1;
int preminimum = 1;
int unvalidminpage = 0;
int unvalidmin = 1;
int unvalidminimum = 1;
int validminpage = 0;
int validmin = 1;
int validminimum = 1;
int spamminpage = 0;
int spammin = 1;
int spamminimum = 1;

if(request.getParameter("hidpreminpage") != null)
	preminpage = Integer.parseInt(request.getParameter("hidpreminpage"));
if(request.getParameter("hidpremin") != null)
	premin = Integer.parseInt(request.getParameter("hidpremin"));
if(request.getParameter("hidpreminimum") != null && !request.getParameter("hidpreminimum").equals("") )
		preminimum = Integer.parseInt(request.getParameter("hidpreminimum"));

if(request.getParameter("hidunvalidminpage") != null)
	unvalidminpage = Integer.parseInt(request.getParameter("hidunvalidminpage"));
if(request.getParameter("hidunvalidmin") != null)
	unvalidmin = Integer.parseInt(request.getParameter("hidunvalidmin"));
if(request.getParameter("hidunvalidminimum") != null && !request.getParameter("hidunvalidminimum").equals("") )
		unvalidminimum = Integer.parseInt(request.getParameter("hidunvalidminimum"));

if(request.getParameter("hidvalidminpage") != null)
	validminpage = Integer.parseInt(request.getParameter("hidvalidminpage"));
if(request.getParameter("hidvalidmin") != null)
	validmin = Integer.parseInt(request.getParameter("hidvalidmin"));
if(request.getParameter("hidvalidminimum") != null && !request.getParameter("hidvalidminimum").equals("") )
		validminimum = Integer.parseInt(request.getParameter("hidvalidminimum"));

if(request.getParameter("hidspamminpage") != null)
	spamminpage = Integer.parseInt(request.getParameter("hidspamminpage"));
if(request.getParameter("hidspammin") != null)
	spammin = Integer.parseInt(request.getParameter("hidspammin"));
if(request.getParameter("hidspamminimum") != null && !request.getParameter("hidspamminimum").equals("") )
	spamminimum = Integer.parseInt(request.getParameter("hidspamminimum"));

%>
<HTML>
	<HEAD>
		<TITLE>Search</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT language=javascript src="scripts/web_uivalidation.js"></SCRIPT>
	<SCRIPT src="scripts/date-picker.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<script language=javascript>
		function load()
		{
			document.frmmain.txtsearch.focus();
			document.frmmain.rdoPolicy[<%=policy%>].checked=true;
			document.frmmain.rdoScope[<%=scope%>].checked=true;
		}
		// FOR ALL CLIENT SIDE VALIDATIONS
		function chkValidation()
		{
			document.frmmain.txtsearch.value=trim(document.frmmain.txtsearch.value);
			afterdt = document.frmmain.txtAfter.value;
			beforedt = document.frmmain.txtBefore.value;
			//afterdate = new Date(afterdt);
			//beforedate = new Date(beforedt);


			var temp = new Array();
			temp = afterdt.split('/');
		
			fromdate = new Date(temp[1]+"/"+temp[0]+"/"+temp[2]);

			temp = beforedt.split('/');			
			todate = new Date(temp[1]+"/"+temp[0]+"/"+temp[2]);			

			if(isBlank(document.frmmain.txtsearch) == "1")
			{
				alert("Enter Keyword");
				document.frmmain.txtsearch.focus();
				return false;
			}

			 // CHECK SPECIAL CHARACTERS
			/*else if(chkSearchText(document.frmmain.txtsearch.value) == "false")
			{
				alert("Special Characters are not allowed");
				document.frmmain.txtsearch.value="";
				document.frmmain.txtsearch.focus();
				return false;
			}*/
			/*else if(afterdate > beforedate)
			{
				alert ("After date must be less than or equal to Before date");
				return false;
			}*/
			else if(Date.parse(fromdate) > Date.parse(todate))
			{
				alert ("After date must be less than or equal to Before date");
				return false;
			}
			else
			{
				document.frmmain.action= "customview.jsp";
				document.frmmain.submit();
			}
		}
		// CHECK THAT AFTER DATE SHOULD BE LESS THAN BEFORE DATE
		function chkDate()
		{
			afterdt = document.frmmain.txtAfter.value;
			beforedt = document.frmmain.txtBefore.value;
			afterdate = new Date(afterdt);
			beforedate = new Date(beforedt);
			
			if (DateCompare(afterdate,beforedate) == 1)
			{
				alert ("After date must be less than or equal to Before date");
				return false;
			}
		}
		// FUNCTION TO DELETE THE RECORDS AND ALSO TO CHECK THAT AT LEAST ONE RECORD SHOULD BE SELECTED
		function submitDelete(type)
		{
			if(type == "updateany")
				recordcount = document.frmmain.txtcount.value;
			else if(type == "updatepre")
				recordcount = document.frmmain.txtcount1.value-document.frmmain.txtmincount1.value;
			else if(type == "updateunvalid")
				recordcount = document.frmmain.txtcount2.value-document.frmmain.txtmincount2.value;
			else if(type == "updatevalid")
				recordcount = document.frmmain.txtcount3.value-document.frmmain.txtmincount3.value;
			else if(type == "updatespam")
				recordcount = document.frmmain.txtcount4.value-document.frmmain.txtmincount4.value;

			if(recordcount == 0)
				alert ("No Record To Delete");
			else
			{
				var chkid = document.frmmain.chkdelete;
				var checked=false;
				if(recordcount == 1)
				{
					if(chkid.checked == 1)
						checked = true;
				}
				else if (recordcount > 1)
				{
					for(i=0; i<chkid.length; i++)
					{
						if(chkid[i].checked == 1)
						{
							checked=true;
							break;
						}
					}
				}
				if(checked==false)
					alert("Please check at least one record");
				else
				{
					document.frmmain.action = "editasl.jsp?flag=DELETE&val=selected&type="+type;
					document.frmmain.submit();
				}
			}
		}

		//FUNCTION TO COPY CHECKED EMAIL ADDRESSES TO ADMINASL AND ALSO TO CHECK THAT AT LEAST ONE RECORD SHOULD BE SELECTED
		function copySenders(type)
		{
			if(type == "updateany")
				recordcount = document.frmmain.txtcount.value;
			else if(type == "updatepre")
				recordcount = document.frmmain.txtcount1.value-document.frmmain.txtmincount1.value;
			else if(type == "updateunvalid")
				recordcount = document.frmmain.txtcount2.value-document.frmmain.txtmincount2.value;
			else if(type == "updatevalid")
				recordcount = document.frmmain.txtcount3.value-document.frmmain.txtmincount3.value;
			else if(type == "updatespam")
				recordcount = document.frmmain.txtcount4.value-document.frmmain.txtmincount4.value;

			if(recordcount == 0)
				alert ("No Record To Copy");
			else
			{
				var chkid = document.frmmain.chkcopy;
				var checked=false;
				if(recordcount == 1)
				{
					if(chkid.checked == 1)
						checked = true;
				}
				else if (recordcount > 1)
				{
					for(i=0; i<chkid.length; i++)
					{
						if(chkid[i].checked == 1)
						{
							checked=true;
							break;
						}
					}
				}
				if(checked==false)
					alert("Please check at least one record");
				else
				{
					document.frmmain.action = "editasl.jsp?flag=COPY&val=selected&type="+type;
					document.frmmain.submit();
				}
			}
		}

		//FUNCTION TO UPDATE THE RECORDS
		function submitUpdate(type)
		{
			if(type == "updateany")
				recordcount = document.frmmain.txtcount.value;
			else if(type == "updatepre")
				recordcount = document.frmmain.txtcount1.value-document.frmmain.txtmincount1.value;
			else if(type == "updateunvalid")
				recordcount = document.frmmain.txtcount2.value-document.frmmain.txtmincount2.value;
			else if(type == "updatevalid")
				recordcount = document.frmmain.txtcount3.value-document.frmmain.txtmincount3.value;
			else if(type == "updatespam")
				recordcount = document.frmmain.txtcount4.value-document.frmmain.txtmincount4.value;
			
			if(recordcount == 0)
				alert ("No Record To Update");
			else
			{
				document.frmmain.action = "editasl.jsp?val=selected&flag=UPDATE&type="+type;
				document.frmmain.submit();
			}
		}

		//FUNCTION TO SORT PRE-APPROVED SENDERS
		function sortPre(order,column)
		{
			document.frmmain.hidcolumnpre.value=column;
			document.frmmain.hidorderpre.value=order;
			document.frmmain.action="customview.jsp";
			document.frmmain.submit();
		}

		//FUNCTION TO SORT UNVALID SENDERS
		function sortUnvalid(order,column)
		{
			document.frmmain.hidcolumnunvalid.value=column;
			document.frmmain.hidorderunvalid.value=order;
			document.frmmain.action="customview.jsp";
			document.frmmain.submit();
		}

		//FUNCTION TO SORT VALID SENDERS
		function sortValid(order,column)
		{
			document.frmmain.hidcolumnvalid.value=column;
			document.frmmain.hidordervalid.value=order;
			document.frmmain.action="customview.jsp";
			document.frmmain.submit();
		}

		//FUNCTION TO SORT SPAMMERS
		function sortSpam(order,column)
		{
			document.frmmain.hidcolumnspam.value=column;
			document.frmmain.hidorderspam.value=order;
			document.frmmain.action="customview.jsp";
			document.frmmain.submit();
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			if(pagingtype == "pre")
			{
				document.frmmain.hidpreminpage.value=pageno;
				document.frmmain.hidpremin.value=min;
				document.frmmain.hidpreminimum.value=min;
			}
			else if(pagingtype == "unvalid")
			{
				document.frmmain.hidunvalidminpage.value=pageno;
				document.frmmain.hidunvalidmin.value=min;
				document.frmmain.hidunvalidminimum.value=min;
			}
			else if(pagingtype == "valid")
			{
				document.frmmain.hidvalidminpage.value=pageno;
				document.frmmain.hidvalidmin.value=min;
				document.frmmain.hidvalidminimum.value=min;
			}
			else if(pagingtype == "spam")
			{
				document.frmmain.hidspamminpage.value=pageno;
				document.frmmain.hidspammin.value=min;
				document.frmmain.hidspamminimum.value=min;
			}

			document.frmmain.action="customview.jsp";
			document.frmmain.submit();
		}

		//FUNCTION TO SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			if(pagingtype == "pre")
				document.frmmain.hidpreminimum.value=min;
			else if(pagingtype == "unvalid")
				document.frmmain.hidunvalidminimum.value=min;
			else if(pagingtype == "valid")
				document.frmmain.hidvalidminimum.value=min;
			else if(pagingtype == "spam")
				document.frmmain.hidspamminimum.value=min;
			
			document.frmmain.action="customview.jsp";
			document.frmmain.submit();
		}
	</script>
	<BODY onload="load()">
		<FORM method=post name=frmmain>
			</form>
			<INPUT type="hidden" name=flag1 value="true">
			<INPUT type="hidden" name=hidcolumnpre value="<%=columnnamepre%>">
			<INPUT type="hidden" name=hidorderpre value="<%=orderpre%>">
			<INPUT type="hidden" name=hidcolumnunvalid value="<%=columnnameunvalid%>">
			<INPUT type="hidden" name=hidorderunvalid value="<%=orderunvalid%>">
			<INPUT type="hidden" name=hidcolumnvalid value="<%=columnnamevalid%>">
			<INPUT type="hidden" name=hidordervalid value="<%=ordervalid%>">
			<INPUT type="hidden" name=hidcolumnvalid value="<%=columnnamespam%>">
			<INPUT type="hidden" name=hidordervalid value="<%=orderspam%>">
			<INPUT type="hidden" name="hidpreminpage" value=<%=preminpage%>>
			<INPUT type="hidden" name="hidpremin" value=<%=premin%>>
			<INPUT type="hidden" name="hidpreminimum" value=<%=preminimum%>>
			<INPUT type="hidden" name="hidunvalidminpage" value=<%=unvalidminpage%>>
			<INPUT type="hidden" name="hidunvalidmin" value=<%=unvalidmin%>>
			<INPUT type="hidden" name="hidunvalidminimum" value=<%=unvalidminimum%>>
			<INPUT type="hidden" name="hidvalidminpage" value=<%=validminpage%>>
			<INPUT type="hidden" name="hidvalidmin" value=<%=validmin%>>
			<INPUT type="hidden" name="hidvalidminimum" value=<%=validminimum%>>
			<INPUT type="hidden" name="hidspamminpage" value=<%=spamminpage%>>
			<INPUT type="hidden" name="hidspammin" value=<%=spammin%>>
			<INPUT type="hidden" name="hidspamminimum" value=<%=spamminimum%>>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><IMG src="images/img.gif" vspace=5 width="436" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG src="images/1x1.gif" width="1" height="1"></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<% if (adminid == 1) { %>
															<TD align=left vAlign=bottom width="33%">
																<DIV class=header_active id=TopBanner_UserPanel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																				<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
															<TD width="33%">
																<DIV class=header id=TopBanner_Panel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																				<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
															<TD width="34%">
																<DIV class=header id=TopBanner_ServerPanel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																				<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
														<% } else if (adminid == 2) { %>
															<TD align=left vAlign=bottom width="33%">
																<DIV class=header_active id=TopBanner_UserPanel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																				<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
															<TD width="33%">
																<DIV class=header id=TopBanner_DomainPanel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																				<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
															<TD width="34%"></TD>
														<% } else if (adminid == 3) { %>
															<TD align=left vAlign=bottom width="33%">
																<DIV class=header_active id=TopBanner_UserPanel>
																	<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																		<TBODY>
																			<TR>
																				<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																				<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																				<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																			</TR>
																		</TBODY>
																	</TABLE>
																</DIV>
															</TD>
															<TD width="33%"></TD>
															<TD width="34%"></TD>
														<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">
																			<spam:UserInfo userid="<%= loginuserid %>">
																				Logged in as: <%= username %>@<%=domainname%>
																			</spam:UserInfo>
																			<% if (userid != loginuserid) { %>
																				<spam:UserInfo userid="<%= tempuserid %>">
																					<% if (username.equals("0")) {} else { %>
																					and working as: <%= username %>@<%=domainname%>
																					<% } %>
																				</spam:UserInfo>
																			<% } %>
																		</TD>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/CustomSearchHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for User-->
							<spam:usermenu showCurrPage="5"></spam:usermenu>
						</TD>
						<TD align=middle vAlign=top><!--Main Section-->
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR>
									<TD>
										<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table1 width="100%">
											<TBODY>
												<TR class=2nd_grid_head>
													<TD align=middle colSpan=2>Search</TD>
												</TR>
												<TR class=viewall_links>
													<TD align=left colSpan=2>
														<a id="A1" href="userviewall.jsp?conditionid=1&validate=0">Pre-approved</a>&nbsp; 
														<a id="lnk2" href="userviewall.jsp?conditionid=3&validate=0">Unvalidated</a>&nbsp;  
														<a id="lnk3" href="userviewall.jsp?conditionid=1&validate=1">Validated</a>&nbsp; 
														<a id="lnk1" href="userviewall.jsp?conditionid=2&validate=0">Spammers</a>&nbsp;
														<a id="lnk1" href="quarantine.jsp">Quarantined</a>&nbsp;
														Search
													</TD>
												</TR>
												<TR class=general_TR>
													<TD align=left colSpan=2>&nbsp;</TD>
												</TR>
												<TR class=general_TR>
													<TD align=left colSpan=2>Show all entries whose email address match: <INPUT class=textinpt name=txtsearch size=30 value="<%=searchtext%>"></TD>
												</TR>
												<TR class=general_TR>
													<TD align=left width="20%">And policy is:</TD>
													<TD align=left width="80%">
														<SPAN class=radio id=rdoPolicy>
														<INPUT CHECKED id=rdoPolicy name=rdoPolicy type=radio value=0><LABEL for=rdoPolicy>Ignore</LABEL>
														<INPUT id=rdoPolicy name=rdoPolicy type=radio value=1><LABEL for=rdoPolicy>Pre-approved</LABEL>
														<INPUT id=rdoPolicy name=rdoPolicy type=radio value=2><LABEL for=rdoPolicy>Validated</LABEL>
														<INPUT id=rdoPolicy name=rdoPolicy type=radio value=3><LABEL for=rdoPolicy>Unvalidated</LABEL>
														<INPUT id=rdoPolicy name=rdoPolicy type=radio value=4><LABEL for=rdoPolicy>Spammer</LABEL>
														<INPUT id=rdoPolicy name=rdoPolicy type=radio value=5><LABEL for=rdoPolicy>Quarantine</LABEL>
														</SPAN>
													</TD>
													</TR>
													<TR class=general_TR>
														<TD align=left width="20%">And scope is:</TD>
														<TD align=left width="80%">
															<SPAN class=radio id=rdoScope>
															<INPUT CHECKED id=rdoScope name=rdoScope type=radio value=0><LABEL for=rdoScope>Ignore</LABEL>
															<INPUT id=rdoScope name=rdoScope type=radio value=1><LABEL for=rdoScope>Email</LABEL>
															<INPUT id=rdoScope name=rdoScope type=radio value=2><LABEL for=rdoScope>Domain</LABEL>
															<INPUT id=rdoScope name=rdoScope type=radio value=3><LABEL for=rdoScope>Subdomains</LABEL>
															</SPAN>
														</TD>
													</TR>
													<TR class=general_TR>
														<TD align=left colSpan=2>And Date of Entry is:</TD>
													</TR>
													<TR class=general_TR>
														<TD align=left width="20%">After:</TD>
														<TD align=left vAlign=bottom width="80%">&nbsp;&nbsp;
															<INPUT class=textinpt id=txtAfter maxLength=10 name=txtAfter size=10 value="<%=afterdate%>" readonly>&nbsp;
															<A href="javascript:show_calendar('frmmain.txtAfter',<%=dateFormat%>);"><IMG align=middle alt="Click to Input Date" border=0 src="images/calendar.gif" width="16" height="14"></A>&nbsp;
															<FONT size=1><%=datePtt%></FONT>&nbsp;&nbsp;And before:&nbsp;
															<INPUT class=textinpt id=txtBefore maxLength=10 name=txtBefore size=10 value="<%=beforedate%>" readonly>&nbsp;
															<A href="javascript:show_calendar('frmmain.txtBefore',<%=dateFormat%>);"><IMG align=middle alt="Click to Input Date" border=0 src="images/calendar.gif" width="16" height="14"></A>&nbsp;
															<FONT size=1><%=datePtt%></FONT>
														</TD>
													</TR>
													
														
														<INPUT type=hidden name=txtNumRec style="WIDTH: 50px" size="25" value="<%=NumRec%>">
												
													<TR class=general_TR>
														<TD align=middle colSpan=2><INPUT class=btn name=cmdSearch type=submit value=Search onclick="chkValidation();return false">&nbsp;<A class=gridrowlink href=javascript:onclick=openHelp('help/SearchHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
													</TR>
													<TR>
														<TD align=middle bgColor=black colSpan=2 height=1></TD>
													</TR>
													<TR id=result>
														<TD align=middle colSpan=2 >
															<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table1 width="100%">
																<TBODY>
																	<TR>
																		<TD align=middle colSpan=2 width="50%">&nbsp;</TD>
																	</TR>
																	<TR class=2nd_grid_head>
																		<TD align=middle colSpan=2 width="50%"><SPAN id=lblPageHeader>Search Result</SPAN></TD>
																	</TR>
																	<TR>
																		<TD align=middle colSpan=2 width="50%">&nbsp;</TD>
																	</TR>
<% 
																	if (condition == 1 && validated == 0)
																	{
%>
<!-- VIEWING ALL PRE-APPROVED SENDERS -->
																	<INPUT type=hidden name=txtmincount value=<%=i%>>
																	<TR>
																		<TD align=middle colSpan=2 height=12 width='50%'>
																			<DIV class=1stgrid_head id=headerPanel><SPAN id=lblGridHeader>Pre-approved Senders</SPAN> </DIV>
																		</TD>
																	</TR>
																	<TR>
																		<TD align=left colSpan=2 width='50%'>
																			<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																				<TBODY>
																					<TR class=2nd_griditem_head style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%'>
																							<% if ((columnnamepre.equals("mailerid")) && (orderpre.equals("desc"))) { %>
																								<a href="javascript:onclick=sortPre('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																								<%} else if ((columnnamepre.equals("mailerid")) && (orderpre.equals("asc"))) {%>
																								<a href="javascript:onclick=sortPre('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																								<% } else { %>
																								<a href="javascript:onclick=sortPre('desc','mailerid')">User Id</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamepre.equals("mailerdomain")) && (orderpre.equals("desc"))) { %>
																								<a href="javascript:onclick=sortPre('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																								<%} else if ((columnnamepre.equals("mailerdomain")) && (orderpre.equals("asc"))) {%>
																								<a href="javascript:onclick=sortPre('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																								<% } else { %>
																								<a href="javascript:onclick=sortPre('desc','mailerdomain')">Domain</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamepre.equals("date_of_entry")) && (orderpre.equals("desc"))) { %>
																								<a href="javascript:onclick=sortPre('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																								<%} else if ((columnnamepre.equals("date_of_entry")) && (orderpre.equals("asc"))) {%>
																								<a href="javascript:onclick=sortPre('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																								<% } else { %>
																							<a href="javascript:onclick=sortPre('desc','date_of_entry')">Date of Entry</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 12%'>Policy</TD>
																						<TD style='WIDTH: 12%'>
																							<% if ((columnnamepre.equals("approvalid")) && (orderpre.equals("desc"))) { %>
																								<a href="javascript:onclick=sortPre('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																								<%} else if ((columnnamepre.equals("approvalid")) && (orderpre.equals("asc"))) {%>
																								<a href="javascript:onclick=sortPre('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																								<% } else { %>
																								<a href="javascript:onclick=sortPre('desc','approvalid')">Scope</a>
																							<% } %>	
																						</TD>
																						<% if (adminid == 3) {} else { %>
																							<TD style='WIDTH: 5%'>Copy</TD>
																						<% } %>
																						<TD style='WIDTH: 7%'>Delete</TD>
																					</TR>
																					<spam:userviewall userid="<%= userid %>" condition_id="<%= condition %>" noofrec="0" validate="<%= validated %>" adminid="<%=adminid%>" searchtext="<%=searchtext%>" approval_id="<%=scope%>" afterdate="<%=afterdate%>" beforedate="<%=beforedate%>" column="<%=columnnamepre%>" order="<%=orderpre%>" minimum="<%=preminimum%>">
<% 
																					if (aslid.equals("0")) 
																					{}
																					else
																					{
																						i++;
																						if (i%2 != 0)
																							gridclass = "gridrow2";
																						else
																							gridclass = "gridrow1";
%>
																						<TR class="<%=gridclass%>">
																							<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= mailerdomain %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= dateofentry %>&nbsp;</TD>
																							<TD style="WIDTH: 12%">
																								<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																							</TD>
																							<TD style="WIDTH: 12%">
																								<% if (Integer.parseInt(approvalid) ==1) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==2) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==3) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																								<% } %>
																							</TD>
																							<% if (adminid == 3) {} else { %>
																								<TD style="WIDTH: 5%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkcopy></TD>
																							<% } %>
																							<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																						</TR>
<%					
																					}
%>
																					<% preallrecords = Integer.parseInt(countasl); %>
																					</spam:userviewall>
																					<TR align=right class=footer>
																						<TD colSpan=7><utility:paging totalrecords="<%=preallrecords%>" minpage="<%=preminpage%>" min="<%=premin%>" pagingtype="pre" 
																						txtNumRec="<%=NumRec%>"
																						/></TD>
																					</TR>
																				</TBODY>
																			</TABLE>
																			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																				<TBODY>
																					<TR>
																						<TD align=middle height=7></TD>
																					</TR>
																					<TR>
																						<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message%></SPAN><BR></TD>
																					</TR>
																					<TR>
																						<TD align=middle>
																							<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate('updateany'); return false">
																							<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete('updateany'); return false">
																							<% if (adminid == 3) {}	else { %>
																								<INPUT class=btn name=cmdSave type=submit value="Copy To Domain" onclick="copySenders('updateany'); return false">
																							<% } %>
																						</TD>
																						<INPUT type=hidden name=txtcount value=<%=i%>>
																					</TR>
<%
																	}
																	else if (condition == 3 && validated == 0)
																	{
%>
<!--VIEWING  ALL UNVALIDATED SENDERS -->
																	<INPUT type=hidden name=txtmincount value=<%=i%>>
																	<TR>
																		<TD align=middle colSpan=2 height=12 width='50%'>
																			<DIV class=1stgrid_head-gray id=headerPanel><SPAN id=lblGridHeader>Unvalidated Senders</SPAN> </DIV>
																		</TD>
																	</TR>
																	<TR>
																		<TD align=left colSpan=2 width='50%'>
																			<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																				<TBODY>
																					<TR class=2nd_griditem_head-gray style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%'>
																							<% if ((columnnameunvalid.equals("mailerid")) && (orderunvalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortUnvalid('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnameunvalid.equals("mailerid")) && (orderunvalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortUnvalid('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortUnvalid('desc','mailerid')">User Id</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnameunvalid.equals("mailerdomain")) && (orderunvalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortUnvalid('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnameunvalid.equals("mailerdomain")) && (orderunvalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortUnvalid('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortUnvalid('desc','mailerdomain')">Domain</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnameunvalid.equals("date_of_entry")) && (orderunvalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortUnvalid('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnameunvalid.equals("date_of_entry")) && (orderunvalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortUnvalid('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortUnvalid('desc','date_of_entry')">Date of Entry</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 12%'>Policy</TD>
																						<TD style='WIDTH: 12%'>
																							<% if ((columnnameunvalid.equals("approvalid")) && (orderunvalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortUnvalid('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnameunvalid.equals("aprovalid")) && (orderunvalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortUnvalid('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortUnvalid('desc','approvalid')">Scope</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 7%'>Delete</TD>
																					</TR>
																					<spam:userviewall userid="<%= userid %>" condition_id="<%= condition %>" noofrec="0" validate="<%= validated %>" adminid="<%=adminid%>" searchtext="<%=searchtext%>" approval_id="<%=scope%>" afterdate="<%=afterdate%>" beforedate="<%=beforedate%>" column="<%=columnnameunvalid%>" order="<%=orderunvalid%>" minimum="<%=unvalidminimum%>">
<% 
																					if (aslid.equals("0"))
																					{}
																					else
																					{
																						i++;
																						if (i%2 != 0)
																							gridclass = "gridrow2";
																						else
																							gridclass = "gridrow1-gray";
%>
																						<TR class="<%=gridclass%>">
																							<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= mailerdomain %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= dateofentry %>&nbsp;</TD>
																							<TD style="WIDTH: 12%">
																								<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																							</TD>
																							<TD style="WIDTH: 12%">
																								<% if (Integer.parseInt(approvalid) ==1) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==2) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==3) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																								<% } %>
																							</TD>
																							<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																						</TR>
<%					
																					}
%>
																					<% unvalidallrecords = Integer.parseInt(countasl); %>
																					</spam:userviewall>
																					<TR align=right class=footer>
																						<TD colSpan=7><utility:paging totalrecords="<%=unvalidallrecords%>" minpage="<%=unvalidminpage%>" min="<%=unvalidmin%>" pagingtype="unvalid" 
																						txtNumRec="<%=NumRec%>"
																						/></TD>
																					</TR>
																				</TBODY>
																			</TABLE>
																			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																				<TBODY>
																					<TR>
																						<TD align=middle height=7></TD>
																					</TR>
																					<TR>
																						<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message%></SPAN><BR></TD>
																					</TR>
																					<TR>
																						<TD align=middle>
																							<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate('updateany'); return false">
																							<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete('updateany'); return false">
																						</TD>
																						<INPUT type=hidden name=txtcount value=<%=i%>>
																					</TR>
<%
																	}
																	else if (condition == 1 && validated == 1)
																	{
%>
<!-- VIEWING  ALL VALIDATED SENDERS -->
																	<INPUT type=hidden name=txtmincount value=<%=i%>>
																	<TR>
																		<TD align=middle colSpan=2 height=12 width='50%'>
																			<DIV class=1stgrid_head-purple id=headerPanel><SPAN id=lblGridHeader>Validated Senders</SPAN> </DIV>
																		</TD>
																	</TR>
																	<TR>
																		<TD align=left colSpan=2 width='50%'>
																			<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																				<TBODY>
																					<TR class=2nd_griditem_head-purple style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%'>
																							<% if ((columnnamevalid.equals("mailerid")) && (ordervalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortValid('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamevalid.equals("mailerid")) && (ordervalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortValid('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortValid('desc','mailerid')">User Id</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamevalid.equals("mailerdomain")) && (ordervalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortValid('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamevalid.equals("mailerdomain")) && (ordervalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortValid('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortValid('desc','mailerdomain')">Domain</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamevalid.equals("cr_date")) && (ordervalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortValid('asc','cr_date')">Response Date<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamevalid.equals("cr_date")) && (ordervalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortValid('desc','cr_date')">Response Date<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortValid('desc','cr_date')">Response Date</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 12%'>Policy</TD>
																						<TD style='WIDTH: 12%'>
																							<% if ((columnnamevalid.equals("approvalid")) && (ordervalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortValid('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamevalid.equals("approvalid")) && (ordervalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortValid('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortValid('desc','approvalid')">Scope</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 7%'>Delete</TD>
																					</TR>
																					<spam:userviewall userid="<%= userid %>" condition_id="<%= condition %>" noofrec="0" validate="<%= validated %>" adminid="<%=adminid%>" searchtext="<%=searchtext%>" approval_id="<%=scope%>" afterdate="<%=afterdate%>" beforedate="<%=beforedate%>" column="<%=columnnamevalid%>" order="<%=ordervalid%>" minimum="<%=validminimum%>">
<%
																					if (aslid.equals("0"))
																					{}
																					else
																					{
																						i++;
																						if (i%2 != 0)
																							gridclass = "gridrow2";
																						else
																							gridclass = "gridrow1-purple";
%>
																						<TR class="<%=gridclass%>">
																							<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= mailerdomain %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= dateofentry %>&nbsp;</TD>
																							<TD style="WIDTH: 12%">
																								<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																							</TD>
																							<TD style="WIDTH: 12%">
																								<% if (Integer.parseInt(approvalid) ==1) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==2) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==3) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																								<% } %>
																							</TD>
																							<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																						</TR>
<%					
																					}
%>
																					<% validallrecords = Integer.parseInt(countasl); %>
																					</spam:userviewall>
																					<TR align=right class=footer>
																						<TD colSpan=7><utility:paging totalrecords="<%=validallrecords%>" minpage="<%=validminpage%>" min="<%=validmin%>" 
																						pagingtype="valid"
																						txtNumRec="<%=NumRec%>"
																						/></TD>
																					</TR>
																				</TBODY>
																			</TABLE>
																			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																				<TBODY>
																				<TR>
																					<TD align=middle height=7></TD>
																				</TR>
																				<TR>
																					<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message%></SPAN><BR></TD>
																				</TR>
																				<TR>
																					<TD align=middle>
																						<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate('updateany'); return false">
																						<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete('updateany'); return false">
																					</TD>
																					<INPUT type=hidden name=txtcount value=<%=i%>>
																				</TR>
<%
																	}
																	else if (condition == 2 )
																	{
%>
<!--VIEWING  ALL SPAMMERS -->
																	<INPUT type=hidden name=txtmincount value=<%=i%>>
																	<TR>
																		<TD align=middle colSpan=2 height=12 width='50%'>
																			<DIV class=1stgrid_head-spam id=headerPanel><SPAN id=lblGridHeader>Spammers</SPAN> </DIV>
																		</TD>
																	</TR>
																	<TR>
																		<TD align=left colSpan=2 width='50%'>
																			<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols 	style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																				<TBODY>
																					<TR class=2nd_griditem_head-spam style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%'>
																							<% if ((columnnamespam.equals("mailerid")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("mailerid")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','mailerid')">User Id</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamespam.equals("mailerdomain")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("mailerdomain")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','mailerdomain')">Domain</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamespam.equals("date_of_entry")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("date_of_entry")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','date_of_entry')">Date of Entry</a>
																						<% } %>	
																						</TD>
																						<TD style='WIDTH: 12%'>Policy</TD>
																						<TD style='WIDTH: 12%'>
																							<% if ((columnnamespam.equals("approvalid")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("approvalid")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','approvalid')">Scope</a>
																							<% } %>	
																						</TD>
																						<% if (adminid == 3) {} else { %>
																							<TD style='WIDTH: 5%'>Copy</TD>
																						<% } %>
																						<TD style='WIDTH: 7%'>Delete</TD>
																					</TR>
																					<spam:userviewall userid="<%= userid %>" condition_id="<%= condition %>" noofrec="0" validate="<%= validated %>" adminid="<%=adminid%>" searchtext="<%=searchtext%>" approval_id="<%=scope%>" afterdate="<%=afterdate%>" beforedate="<%=beforedate%>"  column="<%=columnnamespam%>" order="<%=orderspam%>" minimum="<%=spamminimum%>">
<%
																					if (aslid.equals("0"))
																					{}
																					else
																					{
																						i++;
																						if (i%2 != 0)
																							gridclass = "gridrow2";
																						else
																							gridclass = "gridrow1-spam";
%>
																						<TR class="<%=gridclass%>">
																							<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= mailerdomain %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= dateofentry %>&nbsp;</TD>
																							<TD style="WIDTH: 12%">
																								<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																							</TD>
																							<TD style="WIDTH: 12%">
																								<% if (Integer.parseInt(approvalid) ==1) { %>
																									<INPUT class=radio checked name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==2) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==3) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																								<% } %>
																							</TD>
																							<% if (adminid == 3) {} else { %>
																								<TD style="WIDTH: 5%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkcopy></TD>
																							<% } %>
																							<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																						</TR>
<%					
																					}
%>
																					<% spamallrecords = Integer.parseInt(countasl); %>
																					</spam:userviewall>
																					<TR align=right class=footer>
																						<TD colSpan=7><utility:paging totalrecords="<%=spamallrecords%>" minpage="<%=spamminpage%>" min="<%=spammin%>" pagingtype="spam" 
																						txtNumRec="<%=NumRec%>"
																						/></TD>
																					</TR>
																				</TBODY>
																			</TABLE>
																			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																				<TBODY>
																					<TR>
																						<TD align=middle height=7></TD>
																					</TR>
																					<TR>
																						<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message%></SPAN><BR></TD>
																					</TR>
																					<TR>
																						<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message%></SPAN><BR></TD>
																					</TR>
																					<TR>
																						<TD align=middle>
																							<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate('updateany'); return false">
																							<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete('updateany'); return false">
																							<% if (adminid == 3) {}	else { %>
																								<INPUT class=btn name=cmdSave type=submit value="Copy To Domain" onclick="copySenders('updateany'); return false">
																							<% } %>
																						</TD>
																						<INPUT type=hidden name=txtcount value=<%=i%>>
																					</TR>
<%				
																	}						
																	else 
																	{
%>
<!-- VIEWING ALL PRE-APPROVED SENDERS -->
																	<INPUT type=hidden  name=txtmincount1 value=<%=i%>>
																	<TR>
																		<TD align=middle colSpan=2 height=12 width='50%'>
																			<DIV class=1stgrid_head id=headerPanel><SPAN id=lblGridHeader>Pre-approved Senders</SPAN> </DIV>
																		</TD>
																	</TR>
																	<TR>
																		<TD align=left colSpan=2 width='50%'>
																			<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																				<TBODY>
																					<TR class=2nd_griditem_head style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%'>
																							<% if ((columnnamepre.equals("mailerid")) && (orderpre.equals("desc"))) { %> 
																								<a href="javascript:onclick=sortPre('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamepre.equals("mailerid")) && (orderpre.equals("asc"))) {%>
																								<a href="javascript:onclick=sortPre('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortPre('desc','mailerid')">User Id</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamepre.equals("mailerdomain")) && (orderpre.equals("desc"))) { %>
																								<a href="javascript:onclick=sortPre('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamepre.equals("mailerdomain")) && (orderpre.equals("asc"))) {%>
																								<a href="javascript:onclick=sortPre('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortPre('desc','mailerdomain')">Domain</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamepre.equals("date_of_entry")) && (orderpre.equals("desc"))) { %>
																								<a href="javascript:onclick=sortPre('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamepre.equals("date_of_entry")) && (orderpre.equals("asc"))) {%>
																								<a href="javascript:onclick=sortPre('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortPre('desc','date_of_entry')">Date of Entry</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 12%'>Policy</TD>
																						<TD style='WIDTH: 12%'>
																							<% if ((columnnamepre.equals("approvalid")) && (orderpre.equals("desc"))) { %>
																								<a href="javascript:onclick=sortPre('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamepre.equals("approvalid")) && (orderpre.equals("asc"))) {%>
																								<a href="javascript:onclick=sortPre('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortPre('desc','approvalid')">Scope</a>
																							<% } %>	
																						</TD>
																						<% if (adminid == 3) {} else { %>
																							<TD style='WIDTH: 5%'>Copy</TD>
																						<% } %>
																						<TD style='WIDTH: 7%'>Delete</TD>
																					</TR>
																					<spam:userviewall userid="<%= userid %>" condition_id="1" noofrec="0" validate="0" adminid="<%=adminid%>" searchtext="<%=searchtext%>" approval_id="<%=scope%>" afterdate="<%=afterdate%>" beforedate="<%=beforedate%>" column="<%=columnnamepre%>" order="<%=orderpre%>" minimum="<%=preminimum%>">
<% 
																					if (aslid.equals("0")) 
																					{}
																					else
																					{
																						i++;
																						incr++;
																						if (incr%2 != 0)
																							gridclass = "gridrow2";
																						else
																							gridclass = "gridrow1";
%>
																						<TR class="<%=gridclass%>">
																							<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= mailerdomain %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= dateofentry %>&nbsp;</TD>
																							<TD style="WIDTH: 12%"><INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S</TD>
																							<TD style="WIDTH: 12%">
																								<% if (Integer.parseInt(approvalid) ==1) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==2) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==3) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																								<% } %>
																							</TD>
																							</TD><% if (adminid == 3) {} else { %>
																							<TD style="WIDTH: 5%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkcopy></TD>
																							<% } %>
																							<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																						</TR>
<%					
																					}
%>
																					<% preallrecords = Integer.parseInt(countasl); %>
																					</spam:userviewall>
																					<TR align=right class=footer>
																						<TD colSpan=7><utility:paging totalrecords="<%=preallrecords%>" minpage="<%=preminpage%>" min="<%=premin%>" pagingtype="pre" 
																						txtNumRec="<%=NumRec%>"
																						/></TD>
																					</TR>
																				</TBODY>
																			</TABLE>
																			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																				<TBODY>
																					<TR>
																						<TD align=middle height=7></TD>
																					</TR>
																					<TR>
																						<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message1%></SPAN><BR></TD>
																					</TR>
																					<TR>
																						<TD align=middle>
																							<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate('updatepre'); return false">
																							<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete('updatepre'); return false">
																							<% if (adminid == 3) {} else { %>
																								<INPUT class=btn name=cmdSave type=submit value="Copy To Domain" onclick="copySenders('updatepre'); return false">
																							<% } %>
																						</TD>
																						<INPUT type=hidden  name=txtcount1 value=<%=i%>>
																					</TR>
<% incr = 0; %>
<!--VIEWING  ALL UNVALIDATED SENDERS -->
																	<INPUT type=hidden name=txtmincount2 value=<%=i%>>
																	<TR>
																		<TD align=middle colSpan=2 height=12 width='50%'>
																			<DIV class=1stgrid_head-gray id=headerPanel><SPAN id=lblGridHeader>Unvalidated Senders</SPAN> </DIV>
																		</TD>
																	</TR>
																	<TR>
																		<TD align=left colSpan=2 width='50%'>
																			<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																				<TBODY>
																					<TR class=2nd_griditem_head-gray style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%'>
																							<% if ((columnnameunvalid.equals("mailerid")) && (orderunvalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortUnvalid('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnameunvalid.equals("mailerid")) && (orderunvalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortUnvalid('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortUnvalid('desc','mailerid')">User Id</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnameunvalid.equals("mailerdomain")) && (orderunvalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortUnvalid('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnameunvalid.equals("mailerdomain")) && (orderunvalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortUnvalid('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortUnvalid('desc','mailerdomain')">Domain</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnameunvalid.equals("date_of_entry")) && (orderunvalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortUnvalid('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnameunvalid.equals("date_of_entry")) && (orderunvalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortUnvalid('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortUnvalid('desc','date_of_entry')">Date of Entry</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 12%'>Policy</TD>
																						<TD style='WIDTH: 12%'>
																							<% if ((columnnameunvalid.equals("approvalid")) && (orderunvalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortUnvalid('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnameunvalid.equals("aprovalid")) && (orderunvalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortUnvalid('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortUnvalid('desc','approvalid')">Scope</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 7%'>Delete</TD>
																					</TR>
																					<spam:userviewall userid="<%= userid %>" condition_id="3" noofrec="0" validate="0" adminid="<%=adminid%>" searchtext="<%=searchtext%>" approval_id="<%=scope%>" afterdate="<%=afterdate%>" beforedate="<%=beforedate%>" column="<%=columnnameunvalid%>" order="<%=orderunvalid%>" minimum="<%=unvalidminimum%>">
<% 
																					if (aslid.equals("0"))
																					{}
																					else
																					{
																						i++;
																						incr++;
																						if (incr%2 != 0)
																							gridclass = "gridrow2";
																						else
																							gridclass = "gridrow1-gray";
%>
																						<TR class="<%=gridclass%>">
																							<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= mailerdomain %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= dateofentry %>&nbsp;</TD>
																							<TD style="WIDTH: 12%">
																								<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																							</TD>
																							<TD style="WIDTH: 12%">
																								<% if (Integer.parseInt(approvalid) ==1) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==2) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==3) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																								<% } %>
																							</TD>
																							<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																						</TR>
<%					
																					}
%>
																					<% unvalidallrecords = Integer.parseInt(countasl); %>
																					</spam:userviewall>
																					<TR align=right class=footer>
																						<TD colSpan=7><utility:paging totalrecords="<%=unvalidallrecords%>" minpage="<%=unvalidminpage%>" min="<%=unvalidmin%>" pagingtype="unvalid"
																						txtNumRec="<%=NumRec%>"
																						/></TD>
																					</TR>
																				</TBODY>
																			</TABLE>
																			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																				<TBODY>
																					<TR>
																						<TD align=middle height=7></TD>
																					</TR>
																					<TR>
																						<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message2%></SPAN><BR></TD>
																					</TR>
																					<TR>
																						<TD align=middle>
																							<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate('updateunvalid'); return false">
																							<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete('updateunvalid'); return false">
																						</TD>
																						<INPUT type=hidden name=txtcount2 value=<%=i%>>
																					</TR>
<% incr = 0; %>
<!-- VIEWING  ALL VALIDATED SENDERS -->
																	<INPUT type=hidden name=txtmincount3 value=<%=i%>>
																	<TR>
																		<TD align=middle colSpan=2 height=12 width='50%'>
																			<DIV class=1stgrid_head-purple id=headerPanel><SPAN id=lblGridHeader>Validated Senders</SPAN> </DIV>
																		</TD>
																	</TR>
																	<TR>
																		<TD align=left colSpan=2 width='50%'>
																			<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																				<TBODY>
																					<TR class=2nd_griditem_head-purple style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%'>
																							<% if ((columnnamevalid.equals("mailerid")) && (ordervalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortValid('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamevalid.equals("mailerid")) && (ordervalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortValid('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortValid('desc','mailerid')">User Id</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamevalid.equals("mailerdomain")) && (ordervalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortValid('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamevalid.equals("mailerdomain")) && (ordervalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortValid('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortValid('desc','mailerdomain')">Domain</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamevalid.equals("cr_date")) && (ordervalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortValid('asc','cr_date')">Response Date<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamevalid.equals("cr_date")) && (ordervalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortValid('desc','cr_date')">Response Date<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortValid('desc','cr_date')">Response Date</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 12%'>Policy</TD>
																						<TD style='WIDTH: 12%'>
																							<% if ((columnnamevalid.equals("approvalid")) && (ordervalid.equals("desc"))) { %>
																								<a href="javascript:onclick=sortValid('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamevalid.equals("approvalid")) && (ordervalid.equals("asc"))) {%>
																								<a href="javascript:onclick=sortValid('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortValid('desc','approvalid')">Scope</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 7%'>Delete</TD>
																					<spam:userviewall userid="<%= userid %>" condition_id="1" noofrec="0" validate="1" adminid="<%=adminid%>" searchtext="<%=searchtext%>" approval_id="<%=scope%>" afterdate="<%=afterdate%>" beforedate="<%=beforedate%>" column="<%=columnnamevalid%>" order="<%=ordervalid%>" minimum="<%=validminimum%>">
<%
																					if (aslid.equals("0"))
																					{}
																					else
																					{
																						i++;
																						incr++;
																						if (incr%2 != 0)
																							gridclass = "gridrow2";
																						else
																							gridclass = "gridrow1-purple";
%>
																						<TR class="<%=gridclass%>">
																							<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= mailerdomain %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= dateofentry %>&nbsp;</TD>
																							<TD style="WIDTH: 12%">
																								<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																							</TD>
																							<TD style="WIDTH: 12%">
																								<% if (Integer.parseInt(approvalid) ==1) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==2) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==3) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																								<% } %>
																							</TD>
																							<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																						</TR>
<%					
																					}
%>
																					<% validallrecords = Integer.parseInt(countasl); %>
																					</spam:userviewall>
																					<TR align=right class=footer>
																						<TD colSpan=7><utility:paging totalrecords="<%=validallrecords%>" minpage="<%=validminpage%>" min="<%=validmin%>" pagingtype="valid" 
																						txtNumRec="<%=NumRec%>"
																						/></TD>
																					</TR>
																				</TBODY>
																			</TABLE>
																			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																				<TBODY>
																					<TR>
																						<TD align=middle height=7></TD>
																					</TR>
																					<TR>
																						<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message3%></SPAN><BR></TD>
																					</TR>
																					<TR>
																						<TD align=middle>
																							<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate('updatevalid'); return false">
																							<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete('updatevalid'); return false">
																						</TD>
																						<INPUT type=hidden name=txtcount3 value=<%=i%>>
																					</TR>
<% incr = 0; %>
<!--VIEWING  ALL SPAMMERS -->
																		<INPUT type=hidden name=txtmincount4 value=<%=i%>>	 <TR>
																		<TD align=middle colSpan=2 height=12 width='50%'>
																			<DIV class=1stgrid_head-spam id=headerPanel><SPAN id=lblGridHeader>Spammers</SPAN> </DIV>
																		</TD>
																	</TR>
																	<TR>
																		<TD align=left colSpan=2 width='50%'>
																			<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols 	style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																				<TBODY>
																					<TR class=2nd_griditem_head-spam style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%'>
																							<% if ((columnnamespam.equals("mailerid")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("mailerid")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','mailerid')">User Id</a>
																							<% } %>	
																							</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamespam.equals("mailerdomain")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("mailerdomain")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','mailerdomain')">Domain</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamespam.equals("date_of_entry")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("date_of_entry")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','date_of_entry')">Date of Entry</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 12%'>Policy</TD>
																						<TD style='WIDTH: 12%'>
																							<% if ((columnnamespam.equals("approvalid")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("approvalid")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','approvalid')">Scope</a>
																							<% } %>	
																						</TD>
																						<% if (adminid == 3) {} else { %>
																							<TD style='WIDTH: 5%'>Copy</TD>
																						<% } %>
																						<TD style='WIDTH: 7%'>Delete</TD>
																					</TR>
																					<spam:userviewall userid="<%= userid %>" condition_id="2" noofrec="0" validate="0" adminid="<%=adminid%>" searchtext="<%=searchtext%>" approval_id="<%=scope%>" afterdate="<%=afterdate%>" beforedate="<%=beforedate%>" column="<%=columnnamespam%>" order="<%=orderspam%>" minimum="<%=spamminimum%>">
<%
																					if (aslid.equals("0"))
																					{}
																					else
																					{
																						i++;
																						incr++;
																						if (incr%2 != 0)
																							gridclass = "gridrow2";
																						else
																							gridclass = "gridrow1-spam";
%>
																						<TR class="<%=gridclass%>">
																							<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= mailerdomain %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= dateofentry %>&nbsp;</TD>
																							<TD style="WIDTH: 12%">
																								<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																							</TD>
																							<TD style="WIDTH: 12%">
																								<% if (Integer.parseInt(approvalid) ==1) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==2) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==3) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																								<% } %>
																							</TD>
																							<% if (adminid == 3) {} else { %>
																								<TD style="WIDTH: 5%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkcopy></TD>
																							<% } %>
																							<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																						</TR>
<%					
																					}
%>
																					<% spamallrecords = Integer.parseInt(countasl); %>
																					</spam:userviewall>


																					
																					
																					
																					
																					
																					<INPUT type=hidden name=txtmincount4 value=<%=i%>>	<Table width="100%">
																		
																		<TD align=left width='50%'>
																			<TABLE border=1 cellPadding=0 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols 	style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																				<TBODY>
																					<TR class=2nd_griditem_head-spam style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%' colspan="7" bgcolor="#B57D4A">
																							<p align="center"><SPAN id=lblGridHeader0>Spammers 3</SPAN>	
																							</TD>
																					</TR>
																					<TR class=2nd_griditem_head-spam style=FONT-WEIGHT: bold>
																						<TD style='WIDTH: 18%'>
																							<% if ((columnnamespam.equals("mailerid")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("mailerid")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','mailerid')">User Id</a>
																							<% } %>	
																							</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamespam.equals("mailerdomain")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("mailerdomain")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','mailerdomain')">Domain</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 22%'>
																							<% if ((columnnamespam.equals("date_of_entry")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("date_of_entry")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','date_of_entry')">Date of Entry</a>
																							<% } %>	
																						</TD>
																						<TD style='WIDTH: 12%'>Policy</TD>
																						<TD style='WIDTH: 12%'>
																							<% if ((columnnamespam.equals("approvalid")) && (orderspam.equals("desc"))) { %>
																								<a href="javascript:onclick=sortSpam('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																							<%} else if ((columnnamespam.equals("approvalid")) && (orderspam.equals("asc"))) {%>
																								<a href="javascript:onclick=sortSpam('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																							<% } else { %>
																								<a href="javascript:onclick=sortSpam('desc','approvalid')">Scope</a>
																							<% } %>	
																						</TD>
																						<% if (adminid == 3) {} else { %>
																							<TD style='WIDTH: 5%'>Copy</TD>
																						<% } %>
																						<TD style='WIDTH: 7%'>Delete</TD>
																					</TR>
																					<spam:userviewall userid="<%= userid %>" condition_id="2" noofrec="0" validate="0" adminid="<%=adminid%>" searchtext="<%=searchtext%>" approval_id="<%=scope%>" afterdate="<%=afterdate%>" beforedate="<%=beforedate%>" column="<%=columnnamespam%>" order="<%=orderspam%>" minimum="<%=spamminimum%>">
<%
																					if (aslid.equals("0"))
																					{}
																					else
																					{
																						i++;
																						incr++;
																						if (incr%2 != 0)
																							gridclass = "gridrow2";
																						else
																							gridclass = "gridrow1-spam";
%>
																						<TR class="<%=gridclass%>">
																							<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= mailerdomain %>&nbsp;</TD>
																							<TD style="WIDTH: 22%"><%= dateofentry %>&nbsp;</TD>
																							<TD style="WIDTH: 12%">
																								<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																							</TD>
																							<TD style="WIDTH: 12%">
																								<% if (Integer.parseInt(approvalid) ==1) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==2) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																								<% } else if (Integer.parseInt(approvalid) ==3) { %>
																									<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																								<% } %>
																							</TD>
																							<% if (adminid == 3) {} else { %>
																								<TD style="WIDTH: 5%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkcopy></TD>
																							<% } %>
																							<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																						</TR>
																						<%					
																					}
%>
																					<% spamallrecords = Integer.parseInt(countasl); %>
																					</spam:userviewall>







																					<TR align=right class=footer>
																						<TD colSpan=7><utility:paging totalrecords="<%=spamallrecords%>" minpage="<%=spamminpage%>" min="<%=spammin%>" pagingtype="spam" 
																						txtNumRec="<%=NumRec%>"
																						/></TD>
																					</TR>
																				</TBODY>
																			</TABLE>
																			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																				<TBODY>
																					<TR>
																						<TD align=middle height=7></TD>
																					</TR>
																					<TR>
																						<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message4%></SPAN><BR></TD>
																					</TR>
																					<TR>
																						<TD align=middle>
																						<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate('updatespam'); return false">
																						<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete('updatespam'); return false">
																						<% if (adminid == 3) {}	else { %>
																							<INPUT class=btn name=cmdSave type=submit value="Copy To Domain" onclick="copySenders('updatespam'); return false">
																						<% } %>
																						</TD>
																						<INPUT type=hidden name=txtcount4 value=<%=i%>>
																					</TR>
<% incr = 0; %>
<%
																	}
%>					 
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TD>
										</TR>
									</TBODY>
								</TABLE>
							</TD>
						</TR>
					</TBODY>
				</TABLE>
				</TD>
		</TR>
  </TBODY>
</TABLE>
</TABLE>
</TABLE>
</TABLE>
</TABLE>
				<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
					<TBODY>
						<TR>
							<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
						</TR>
						<TR>
							<TD colSpan=2 width="100%">&nbsp;</TD>
						</TR>
						<TR>
					<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
				</TR>
			</TBODY>
		</TABLE>
		<script>
			var flag1 = '<%=flag1%>'
			if (flag1 == "false")
				result.style.display = 'none';
			else if (flag1 == "true")
				result.style.display = '';
		                                                                    </script>
		</FORM>
	</BODY>
</HTML>