  
  /******************************************************************************/
/* Name			:DomainMenu.java												*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pavan Gupta                /   Virendra Singh Royal            */
/* Last Updated	:2.45 PM 08/01/2004				 18/052006						*/
/* Abstract		:Tag Handler for Domain Menu									*/
/* Called from	:dashboard														*/
/* Calls		:																*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import com.DBConnection;

public class DomainMenu extends TagSupport
{
	private int showCurrPage = 0;

	public int getShowCurrPage ()
	{	
		return showCurrPage;	
	}
    public void setShowCurrPage( int s )
    {
		showCurrPage = s;	
	}


	public int doStartTag() throws JspException
    {
		try
		{
			JspWriter out = pageContext.getOut();
			out.println("<TABLE border=0 cellPadding=0 cellSpacing=0 width='100%'>");
       		out.println("<TBODY>");
			if(showCurrPage == 1)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_Domdashboard style=FONT-WEIGHT: bold>Domain DashBoard</a> </TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_Domdashboard href=domainmain.jsp>Domain DashBoard</a> </TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 2)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domAddUser style=FONT-WEIGHT: bold>Add User</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domAddUser href=adduserdomain.jsp>Add User</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 3)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domAddWhitelist style=FONT-WEIGHT: bold>Add to Whitelist</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domAddWhitelist href=domainwhitelist.jsp>Add to Whitelist</a></TD>");
				out.println("</TR>");
			}
			if(showCurrPage == 4)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domSearchUser style=FONT-WEIGHT: bold>Domain Users</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domSearchUser href=viewdomainusers.jsp>Domain Users</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 5)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<A class=nav id=DomainMenu_DomCustSearch style=FONT-WEIGHT: bold>Search Whitelist</A></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_DomCustSearch href=domaincustomview.jsp>Search Whitelist</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 6)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domPreApproved style=FONT-WEIGHT: bold>Pre-approved</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domPreApproved href=domainviewall.jsp?conditionid=1>Pre-approved</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 7)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domSpammer style=FONT-WEIGHT: bold>Spammers</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domSpammer href=domainviewall.jsp?conditionid=2>Spammers</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 8)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domSearchlog style=FONT-WEIGHT: bold>Logs</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domSearchlog href=domainlog.jsp>Logs</a></TD>");
				out.println("</TR>");
			}
			if(showCurrPage == 9)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domimport style=FONT-WEIGHT: bold>Import</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_domimport href=uploadfiles.jsp?uploadtype=D>Import</a></TD>");
				out.println("</TR>");
			}

			if(showCurrPage == 10)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_DomSettings style=FONT-WEIGHT: bold>Domain Settings</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_DomSettings href=domainsettings.jsp>Domain Settings</a></TD>");
				out.println("</TR>");
			}
/* Following code is created by Vijay Singh Royal on 18/05/2006 */
			if(showCurrPage == 11)
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_LdapSettings style=FONT-WEIGHT: bold>Other Settings</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=DomainMenu_LdapSettings href=ldapsettings.jsp>Other Settings</a></TD>");
				out.println("</TR>");
			}
 /* Above code was created by Virendra  Singh Royal on 18/05/2006 */
			if(showCurrPage == 12)
			{
				
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_AutoAddSetting style=FONT-WEIGHT: bold>AutoAddSetting</a></TD>");
				out.println("</TR>");
			}
			else
			{
				out.println("<TR>");
				out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_AutoAddSetting href=autoaddsetting.jsp>AutoAddSetting</a></TD>");
				out.println("</TR>");
			}



			out.println("<TR>");
			out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav href=javascript:onclick=openHelp('help/GettingStartedDomain.htm')>Getting Started</A></TD>");
			out.println("</TR>");
			
		
			
			out.println("<TR>");
			out.println("<TD class=leftnav noWrap><img src='images/bullet1.gif'>&nbsp;<a class=nav id=UserMenu_Logout href=dashboardlogin.jsp>Logout</a></TD>");
			out.println("</TR>");

       		out.println("</TBODY>");
			out.println("</TABLE>");
		}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);	
		}
		return SKIP_BODY;
	}
}	