/********************************************************************************/
/* Name		: ServerAddUser.java						*/
/* Copyright	          : 2003 SATCOMLABS LTD.						*/
/* Team		: Spam Control Team							*/
/* Developer		: Shivraj K. Saini							*/
/* Last Updated	: 7/1/2004								*/
/* Abstract		: Add Domain User to Server					*/
/* Called from	: Dashboard								*/
/* Calls		: 									*/
/********************************************************************************/

package com.antispam;

import java.net.*;
import java.io.*;
import com.DBConnection;
import com.replace.Replace;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
//import com.SocketConnection;	//Class for send User and Domain Updation information to Server

public class ServerAddUser
{
      DBConnection dbconn = new DBConnection ();
      Replace rep = new Replace ();
	  //SocketConnection socketconn =new SocketConnection();
      
		public String txtemailname = "";	
		public String txtAlternateEmail = "";
		public String txtfname  = "";
		public String txtlname  = "";
		public int cbodomains = 0;
		public int radauthority  = 0;
		public int radautoapprove  = 0;
		public int radstatus  = 0; 
		public int passivestatus  = 0;
		public int keymails  = 0;
		public int allwd_exp_keymails  = 0;
		public int allwd_lmt_keymails  = 0;
        public int allwd_dsb_keymails  = 0;
		public String txtemailsubject = "";
		public String txtemailbody = "";
		public String txtchallengewebpage = "";
		public String txtapprovalwebpage = "";
		public String txtalreadywebpage = "";
		public String txtfailedwebpage = "";
		public String txtcomments  = "";
        public int TotalUsr = 0;
		public int domainid  = 0;
        public int TotalCnt  = 0;
		public String txtCarbonCopy  = "";

		String domainname = "";
		public String txtAlternateto="";

		public String hidsendalsochallenge = "";
		public String hidquarantined = "";
		public String passiveflag = "";

      
  
      
	  	/* SET-GET  the passive challange mail flag*/
      public void setPassiveflag ( String s )
      {	  passiveflag = s;      }
      public String getPassiveflag ( )
      {	  return passiveflag;      }

	/* SET-GET  quarantined Flag*/
      public void setQuaranstatus ( String s )
      {	 hidquarantined = s;}
	      
	public String getQuaranstatus( )
      { return hidquarantined;  }

      	/* SET-GET  Grey list challange Mail*/
      public void setHidsendalsochallenge ( String s )
      {	 hidsendalsochallenge = s;}
	      
		public String getHidsendalsochallenge( )
      { return hidsendalsochallenge;  }

	  /* SET-GET DOMAIN ID*/
      public void setDomainid ( int s )
      {	  domainid = s;      }
      public int getDomainid( )
      {	  return domainid;      }

      /* SET-GET  Email Id*/
      public void setTxtemailname ( String s )
      {	  txtemailname = s;      }
      public String getTxtemailname ( )
      {	  return txtemailname;      }

	     
       /* SET-GET  First Name*/
      public void setTxtfname ( String s )
      {	txtfname = s;	}
      public String	getTxtfname ( )
      {	return txtfname;	}
      
	/* SET-GET Last Name*/
      public void setTxtlname( String s )
      {	  txtlname = s;      }
      public String getTxtlname ( )
      {	  return txtlname;      }
      
      /* SET-GET Domain Id*/
      public void setCbodomains ( int s )
      {	  cbodomains = s;      }
      public int getCbodomains ( )
      {	  return cbodomains;      }

	/* SET-GET Authority*/
      public void setRadauthority ( int s )
      {	  radauthority = s;      }
      public int getRadauthority ( )
      {	  return radauthority;      }
      
      /* SET-GET Auto Approval*/
      public void setRadautoapprove ( int s )
      {	  radautoapprove = s;      }
      public int getRadautoapprove( )
      {	  return radautoapprove;      }
      
      /* SET-GET Status*/
      public void setRadstatus ( int s )
      {	  radstatus = s;      }
      public int getRadstatus ( )
      {	  return radstatus;      }

	 /* SET-GET PASSIVE STATUS*/
      public void setPassivestatus ( int s )
      {	  passivestatus = s;      }
      public int getPassivestatus ( )
      {	  return passivestatus;      }

	 /* SET-GET THE KEYMAILS */
      public void setKeymails ( int s )
      {	  keymails = s;      }
      public int getKeymails ( )
      {	  return keymails;      }
      
	/* SET-GET THE ALLOWEDEXPIREDKEYMAILS */
      public void setAllwd_exp_keymails ( int s )
      {	  allwd_exp_keymails = s;      }
      public int getAllwd_exp_keymails ( )
      {	  return allwd_exp_keymails;      }

	/* SET-GET THE ALLOWEDLIMITEDKEYMAILS */
      public void setAllwd_lmt_keymails ( int s )
      {	  allwd_lmt_keymails = s;      }
      public int getAllwd_lmt_keymails ( )
      {	  return allwd_lmt_keymails;      }

	/* SET-GET THE ALLOWEDDISABLEDKEYMAILS */
      public void setAllwd_dsb_keymails ( int s )
      {	  allwd_dsb_keymails = s;      }
      public int getAllwd_dsb_keymails ( )
      {	  return allwd_dsb_keymails;      }

      /* SET-GET EMAIL SUBJECT*/
      public void setTxtemailsubject( String s )
      {	  txtemailsubject = s;      }
      public String getTxtemailsubject( )
      {	  return txtemailsubject;      }

	/* SET-GET EMAIL BODY*/
      public void setTxtemailbody ( String s )
      {	  txtemailbody = s;      }
      public String getTxtemailbody ( )
      {	  return txtemailbody;      }

	/* SET-GET CHALLENGE */
      public void setTxtchallengewebpage ( String s )
      {	  txtchallengewebpage = s;      }
      public String getTxtchallengewebpage( )
      {	  return txtchallengewebpage;      }

	/* SET-GET APPROVAL */
      public void setTxtapprovalwebpage ( String s )
      {	  txtapprovalwebpage = s;      }
      public String getTxtapprovalwebpage ( )
      {	  return txtapprovalwebpage;      }

	/* SET-GET ALREADY*/
      public void setTxtalreadywebpage ( String s )
      {	  txtalreadywebpage = s;      }
      public String getTxtalreadywebpage ( )
      {	  return txtalreadywebpage;      }

	/* SET-GET FAILED*/
      public void setTxtfailedwebpage ( String s )
      {	  txtfailedwebpage = s;      }
      public String getTxtfailedwebpage ( )
      {	  return txtfailedwebpage;      }
      
      /* SET-GET COMMENTS*/
      public void setTxtcomments( String s )
      {	  txtcomments = s;      }
      public String getTxtcomments( )
      {	  return txtcomments;      }

	     /* SET-GET ALTERNATE EMAIL ADDRESS*/
      public void setTxtCarbonCopy( String s )
      {	  txtCarbonCopy = s;      }
      public String getTxtCarbonCopy( )
      {	  return txtCarbonCopy;      }

	  
	/* SET-GET THE ALTERNATE EMAIL ADDRESS */
	public void setTxtAlternateEmail ( String s )
	{	  txtAlternateEmail = s;      }
	public String getTxtAlternateEmail ( )
	{	  return txtAlternateEmail;      }

	/* SET-GET THE ALTERNATE EMAIL ADDRESS */
	public void setTxtAlternateto( String s )
	{	  txtAlternateto = s;      }
	public String getTxtAlternateto ( )
	{	  return txtAlternateto;      }




      /* SET-GET TOTAL USERS*/
      
            
	
	//METHOD FOR INSERTING THE RECORDS
	public String InsertUser() 
	{
		Connection conn = null;
		Statement smt = null;
	        ResultSet rs = null;
		String qry = null;
		String mesg =null;
		
		txtemailname = rep.replaceBy(txtemailname, "'", "''");
		txtfname = rep.replaceBy(txtfname, "'", "''");
		txtlname = rep.replaceBy(txtlname, "'", "''");
		txtemailsubject = rep.replaceBy(txtemailsubject, "'", "''");
		txtemailbody = rep.replaceBy(txtemailbody, "'", "''"); 
		txtchallengewebpage = rep.replaceBy(txtchallengewebpage, "'", "''");
		txtapprovalwebpage = rep.replaceBy(txtapprovalwebpage, "'", "''");
		txtalreadywebpage = rep.replaceBy(txtalreadywebpage, "'", "''");
		txtfailedwebpage = rep.replaceBy(txtfailedwebpage, "'", "''");
		txtcomments = rep.replaceBy(txtcomments, "'", "''");
		txtCarbonCopy = rep.replaceBy(txtCarbonCopy, "'", "''");

		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			
						
			qry="SELECT Email_UserName , DomainID FROM USERS WHERE Email_UserName='"+txtemailname+"' AND DomainID="+cbodomains+" AND AdminID="+radauthority;
				rs=smt.executeQuery( qry );
			if(rs.next())
			{
				mesg ="User Already Exists";	
			}
			else
			{	
				qry = "INSERT INTO USERS (FirstName,LastName,Email_UserName,DomainID,Status,AdminID,AutoAdd,AllowExpiredkeymails,AllowLimitedkeymails,AllowDisabledkeymails,EmailSubject,EmailBody,challengeWebPage,approvalWebPage,alreadyInWebPage,FailedWebPage,Comments,alternate_email,passivestatus,keymails,ALTERNATEFROMEMAIL,ALTERNATETO,challenge_flag,quarantined,passiveflag)"+
				"VALUES ('"+txtfname.toLowerCase()+"', '"+txtlname.toLowerCase()+"', '"+txtemailname.toLowerCase()+"',"+cbodomains+","+radstatus+","+radauthority+", '"+radautoapprove+"', "+allwd_exp_keymails+","+allwd_lmt_keymails+","+allwd_dsb_keymails+",'"+txtemailsubject+"', '"+txtemailbody+"', '"+txtchallengewebpage+"', '"+txtapprovalwebpage+"','"+txtalreadywebpage+"','"+txtfailedwebpage+"','"+txtcomments+"','"+txtCarbonCopy+"',"+passivestatus+","+keymails+",'"+txtAlternateEmail+"','"+txtAlternateto+"','"+hidsendalsochallenge+"','"+hidquarantined+"','"+passiveflag+"')";

				smt.executeUpdate( qry );
				mesg = "User Successfully Added by Server";
				
				qry = "SELECT DOMAINNAME FROM DOMAINS WHERE DOMAINID="+domainid;
				rs = smt.executeQuery( qry );
				if(rs.next())
				{
					domainname = rs.getString( 1 );
				}

				//socketconn.listenSocket("AddUser:"+txtemailname+"@"+domainname);
			}	

				if ( rs != null )
					rs = null;
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			mesg = "Unable to Insert Records";
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return mesg;
	}

	public void selectDefault()
	{
		Connection conn = null;
		Statement smt = null;
	        ResultSet rs = null;
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			qry ="SELECT DEFAULTCHALLENGEWEBPAGE, DEFAULTAPPROVALWEBPAGE,DEFAULTALREADYINWEBPAGE, DEFAULTFAILEDWEBPAGE, DEFAULTEMAIL_SUBJECT, DEFAULTEMAIL_BODY FROM DOMAINS WHERE DOMAINID="+domainid;
				rs = smt.executeQuery( qry );
				if ( rs.next() )
				{
					
					setTxtchallengewebpage(  rs.getString( 1 ));
					setTxtapprovalwebpage( rs.getString( 2 ));
					setTxtalreadywebpage( rs.getString( 3 ));
					setTxtfailedwebpage( rs.getString( 4 ));
					setTxtemailsubject(  rs.getString( 5 ));
					setTxtemailbody(  rs.getString( 6 ));
					
					
				}
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
	}
        public int TotalCount()
	{
		Connection conn = null;
		Statement smt = null;
                ResultSet rs = null;
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			//System.out.println("Domainid---->"+cbodomains);
			qry ="SELECT Count(*) from USERS  where DomainID="+cbodomains;
			rs = smt.executeQuery( qry );
			if( rs.next())
			{
				TotalCnt = rs.getInt(1);
				//System.out.println("TotalCnt---->"+TotalCnt);
			}			
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return TotalCnt;
	}
         public int TotalUser()
	{
		Connection conn = null;
		Statement smt = null;
                ResultSet rs = null;
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			//System.out.println("Domainid---->"+cbodomains);
			qry ="SELECT TOTAL_USER from Domains where DomainID="+cbodomains;
			rs = smt.executeQuery( qry );
			if( rs.next())
			{
				TotalUsr = rs.getInt(1);
				//System.out.println("TotalUSER---->"+TotalUsr);
			}			
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return TotalUsr;
	}
}
