/********************************************************************************/
/* Name		: Alias.java							*/
/* Copyright	: 2003 SATCOMLABS LTD.				     		*/
/* Team		: Spam Control Team						*/
/* Developer	: Pava Gupta / Virendra Singh Royal							*/
/* Last Updated	: 3.15 AM 20/12/2003	/ 1 July /2006					*/
/* Abstract	: Java Bean for Add, Update and Delete Alias			*/
/* Called from	: interaddalias.jsp 						*/
/* Calls	: 								*/
/********************************************************************************/
package com.antispam;

import com.DBConnection;

public class Alias
{
	DBConnection dbconn = new DBConnection ();

	public int aliasid = 0;
	public String alias_addr = "";
	public int userid = 0;

	public String flag = "";

	/* SET-GET THE ALIAS ID */
	public void setAliasid ( int newaliasid )
	{	  
		aliasid = newaliasid;
	}
	public int getAliasid ( )
	{
		return aliasid;      
	}

	/* SET-GET THE ALIAS ADDRESS */
	public void setAlias_addr ( String newalias_addr )
	{	  
		alias_addr = newalias_addr;      
	}
	public String getAlias_addr ( )
	{
		return alias_addr;
	}

	/* SET-GET THE USER ID */
	public void setUserid ( int newuserid )
	{
		userid = newuserid;
	}
	public int getUserid ( )
	{
		return userid;
	}
	
	public void setFlag( String s )
	{
		flag = s;
	}
	public String getFlag()
	{
		return flag;
	}


	public String registered ( ) 
	{
		String retVal = "";
		      
		      System.out.println("---------Flag---------" +  getFlag() );
		      
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
		java.sql.ResultSet rs = null;
		java.sql.ResultSet rs1 = null;
		String qry = null;
		String falgexist = "";
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			if ( flag.equals("UPDATE") )
			{
				qry = "SELECT ALIASID FROM ALIAS WHERE ALIAS_ADDR='"+alias_addr+"' AND USERID="+userid;
				rs = smt.executeQuery ( qry );
				if ( rs.next() )
				{
					falgexist = "true";
					retVal = alias_addr+" already exists";
				}
				
				if(falgexist.equals("true"))
					retVal = retVal;
				else
				{
					qry = "UPDATE ALIAS SET ALIAS_ADDR = '"+alias_addr+"' WHERE ALIASID = "+aliasid;
					smt.executeUpdate ( qry );
					retVal = alias_addr+" Modified Successfully ";
				}
			}
			else if ( flag.equals("ADD") )
			{
				qry = "SELECT ALIASID FROM ALIAS WHERE ALIAS_ADDR='"+alias_addr+"' AND USERID="+userid;
				rs = smt.executeQuery ( qry );
				if ( rs.next() )
				{
					falgexist = "true";
					retVal = alias_addr+" already exists";
				}
								
				if(falgexist.equals("true"))
					retVal = retVal;
				else
				{
					qry = "INSERT INTO ALIAS ( ALIAS_ADDR, USERID) VALUES('"+alias_addr.toLowerCase()+"', "+userid+")";
					smt.executeUpdate( qry );
					retVal = alias_addr+" added to Alias";
				}
			}
			else if ( flag.equals("DELETE") )
			{
				
				qry = "DELETE FROM ALIAS WHERE ALIASID="+aliasid;
				smt.executeUpdate( qry );
				
				System.out.println("---------In delete Block---------" + qry);
				retVal = "Delete Operation Succeeded";
			}
		}
		catch ( java.sql.SQLException sqle )
		{
			System.out.println("SQLE Exception-->"+sqle);
			retVal=sqle.toString();
		}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);
			retVal=e.toString();
		}
		finally
		{
			try 
			{
				smt.close();
				conn.close();
			}
			catch ( Exception ignored ) {}
		}
		return retVal;
	}
	
}
