package com;

import java.util.*;
import java.io.*;
import javax.mail.*;
import javax.mail.internet.*;
import javax.activation.*;

public class SendPriorityMail
{
	String to;
	String from;
	String file1 = null;
	String file2 = null;
	String cc = null;
	String bcc = null;
	String ticketno;
	boolean debug;
	boolean mailsend = true;
	private final String host="dilsmtp.datainfosys.net";
	final String headerstring = "XGEN-MESSAGE-ID";
	public SendPriorityMail()
	{}

	public boolean SendHtmlMail(String to, String from, String cc, String bcc, String sub, String text)
	{
		this.to = to;
		this.from = from;
		this.cc = cc;
		this.bcc = bcc;
		String subject = sub;
		String HtmlText = text;

		try
		{
			HtmlText = text.substring(0,text.lastIndexOf("Powered by Xgen(Next Generation Email Client)"));
		}
		catch (Exception ex) {}

		debug = false;
		//create some properties and get the default Session
		Properties props = System.getProperties();
		props.put("mail.smtp.host", host);
		Session session = Session.getDefaultInstance(props, null);
		session.setDebug(debug);
		
		try
		{
			// create a message
			MimeMessage msg = new MimeMessage(session);
			msg.setFrom(new InternetAddress(from));
			msg.setRecipients(Message.RecipientType.TO, InternetAddress.parse(to, false));

			if (cc != null)
				msg.setRecipients(Message.RecipientType.CC, InternetAddress.parse(cc, false));
			if (bcc != null)
				msg.setRecipients(Message.RecipientType.BCC, InternetAddress.parse(bcc, false));

			msg.setSubject(subject);

			// create and fill the first message part
			Multipart mp = new MimeMultipart();
			MimeBodyPart mbpHtml = new MimeBodyPart();
			mbpHtml.setDataHandler(new DataHandler(new ByteArrayDataSource(HtmlText, "text/html")));
			mp.addBodyPart(mbpHtml);
			MimeBodyPart mbp;
			FileDataSource fds;

			// add the Multipart to the message
			msg.setContent(mp);
			// set the Date: header
			msg.setSentDate(new Date());
			// send the message
			Transport.send(msg);
			mailsend = true;

		}
		catch (MessagingException mex)
		{
			mex.printStackTrace();
			Exception ex = null;
			if ((ex = mex.getNextException()) != null)
			{
				ex.printStackTrace();
			}
			mailsend = false;
		}
		return mailsend;
    }
}